### Namespace

# Cally – 13

The Clutter Accessibility Implementation Library

Version | 13
Authors | Mutter Development Team
License | GPL-2.0-or-later
Website | https://blogs.gnome.org/shell-dev/
Source | https://gitlab.gnome.org/GNOME/mutter/

#### Build

C headers | `cally/cally.h`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Atk—1.0 | The Accessibility toolkit
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Actor | Implementation of the ATK interfaces for `ClutterActor` since: 13
Clone | Implementation of the ATK interfaces for a `ClutterClone`. since: 13
Root | Root object for the Cally toolkit. since: 13
Stage | Implementation of the ATK interfaces for a `ClutterStage`. since: 13
Text | Implementation of the ATK interfaces for a `ClutterText` since: 13
Util | `AtkUtil` implementation. since: 13

#### Callbacks

ActionCallback | Action function, to be used on `AtkAction` implementations as an individual action. since: 13
ActionFunc | Action function, to be used on `AtkAction` implementations as a individual action. since: 13

#### Functions

accessibility_init | Initializes the accessibility support. since: 13
get_cally_initialized | Returns if the accessibility support using cally is enabled. since: 13
snoop_key_event | since: 13

#### Function Macros

ACCESSIBLE_FACTORY | Defines a new `AtkObjectFactory` factory to create accessible objects of a specific GType. It defines the factory GType and also overrides the proper `AtkObjectFactory` methods. since: 13
ACTOR_SET_FACTORY | Sets the `AtkObjectFactory` to be used in order to instantiate accessibility objects for the actor which GType is `widget_type`. since: 13